#!/bin/bash
#####################################################################################################
#Licensed Materials - Property of IBM 
#IBM IoT for Manufacturing
#IBM Predictive Solution Foundation on Cloud  
#© Copyright IBM Corp. 2016
#US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
######################################################################################################
echo "starting grant PQNS write to tenant"

isEnableKBS=$1
echo ${isEnableKBS}
tenantStr=$2
echo ${tenantStr}

hbaseKeytabFile=
if [ "$isEnableKBS" != "true" ]
then
echo 1
su hbase -c "hbase shell <<EOF
grant '${tenantStr}', 'RWXCA', '@PQ_NS'
EOF" 
else
echo 2
kinit -kt /etc/security/keytabs/hbase.headless.keytab hbase
hbase shell <<EOF
grant '${tenantStr}', 'RWXCA', '@PQ_NS'
EOF
fi

