#####################################################################################################
#Licensed Materials - Property of IBM 
#IBM IoT for Manufacturing
#© Copyright IBM Corp. 2016, 2018
#US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
######################################################################################################

/usr/bin/hbase shell <<EOF
create_namespace 'tenantname_PQ_NS'
create 'tenantname_PQ_NS:parametric_parameter_file', 'record_detail',{NAME=>'record_detail',REPLICATION_SCOPE=>1}
create 'tenantname_PQ_NS:file_config', 'file_info', 'column_cluster',{NAME=>'file_info',REPLICATION_SCOPE=>1},{NAME=>'column_cluster',REPLICATION_SCOPE=>1}
create 'tenantname_PQ_NS:board_config', 'board_detail', 'group_info',{NAME=>'board_detail',REPLICATION_SCOPE=>1},{NAME=>'column_cluster',REPLICATION_SCOPE=>1}
create 'tenantname_PQ_NS:pq_ana_parametric_profile', 'profile_pq',{NAME=>'profile_pq',REPLICATION_SCOPE=>1}
create 'tenantname_PQ_NS:pq_ana_parametric_kpi', 'kpi_pq',{NAME=>'kpi_pq',REPLICATION_SCOPE=>1}
create 'tenantname_PQ_NS:notification', 'message_info',{NAME=>'message_info',REPLICATION_SCOPE=>1}
create 'tenantname_PQ_NS:execution_status', 'execution_detail',{NAME=>'execution_detail',REPLICATION_SCOPE=>1}
create 'tenantname_PQ_NS:attribute_parameter_file', 'record_detail',{NAME=>'record_detail',REPLICATION_SCOPE=>1}
create 'tenantname_PQ_NS:pq_ana_attribute_profile', 'profile_pq',{NAME=>'profile_pq',REPLICATION_SCOPE=>1}
create 'tenantname_PQ_NS:pq_ana_attribute_kpi', 'kpi_pq',{NAME=>'kpi_pq',REPLICATION_SCOPE=>1}
create 'tenantname_PQ_NS:iot_connection', 'connection_info',{NAME=>'connection_info',REPLICATION_SCOPE=>1}
create 'tenantname_PQ_NS:iot_receive_data', 'config_info',{NAME=>'config_info',REPLICATION_SCOPE=>1}
create 'tenantname_PQ_NS:analysis_scheduler', 'config_info',{NAME=>'config_info',REPLICATION_SCOPE=>1}
create 'tenantname_PQ_NS:parametric_target', 'record_detail', {NAME => 'record_detail', VERSIONS => 1, REPLICATION_SCOPE=>1}
alter 'tenantname_PQ_NS:analysis_scheduler', {NAME => 'config_info', VERSIONS => 1}
alter 'tenantname_PQ_NS:iot_receive_data', {NAME => 'config_info', VERSIONS => 1}
alter 'tenantname_PQ_NS:parametric_parameter_file', {NAME => 'record_detail', VERSIONS => 1}
alter 'tenantname_PQ_NS:file_config', {NAME => 'file_info', VERSIONS => 1}, {NAME => 'column_cluster', VERSIONS => 1}
alter 'tenantname_PQ_NS:board_config', {NAME => 'board_detail', VERSIONS => 1}, {NAME => 'group_info', VERSIONS => 1}
alter 'tenantname_PQ_NS:pq_ana_parametric_profile', {NAME => 'profile_pq', VERSIONS => 1}
alter 'tenantname_PQ_NS:pq_ana_parametric_kpi', {NAME => 'kpi_pq', VERSIONS => 1}
alter 'tenantname_PQ_NS:notification', {NAME => 'message_info', VERSIONS => 1},{NAME => 'message_info', TTL => 604800}
alter 'tenantname_PQ_NS:iot_receive_data', {NAME => 'config_info', VERSIONS => 1},{NAME => 'config_info', TTL => 604800}
alter 'tenantname_PQ_NS:iot_connection', {NAME => 'connection_info', VERSIONS => 1}
alter 'tenantname_PQ_NS:execution_status', {NAME => 'execution_detail', VERSIONS => 1}
alter 'tenantname_PQ_NS:attribute_parameter_file', {NAME => 'record_detail', VERSIONS => 1}
alter 'tenantname_PQ_NS:pq_ana_attribute_profile', {NAME => 'profile_pq', VERSIONS => 1}
alter 'tenantname_PQ_NS:pq_ana_attribute_kpi', {NAME => 'kpi_pq', VERSIONS => 1}
alter 'tenantname_PQ_NS:iot_connection', {NAME => 'connection_info', VERSIONS => 1}
grant 'pq', 'RWXCA', '@tenantname_PQ_NS'
grant 'qews', 'RWXCA', '@tenantname_PQ_NS'
grant 'tenantname', 'RWXCA', '@tenantname_PQ_NS'
grant 'tenantname', 'RWXCA', '@PQ_NS'
grant 'tenantname','RC','SYSTEM.CATALOG'
grant 'tenantname', 'RC','SYSTEM.SEQUENCE'
grant 'tenantname','RC','SYSTEM.STATS'
grant 'tenantname', 'RC','SYSTEM.FUNCTION'
put 'PQ_NS:tenant_config','tenantname','tenant_password','encryptedtenantpassword'
EOF
